﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using SQLServerGauge.ServiceReference1;
using System.ComponentModel;

namespace SQLServerGauge
{
	public partial class MainPage : UserControl, INotifyPropertyChanged
	{
		private Score score;
		public Score Score
		{
			get { return score; }
			set
			{
				score = value;
				OnPropertyChanged("ScoreValue");
			}
		}

		public double ScoreValue
		{
			get
			{
				return score == null ? 0 : (double)score.ScoreValue;
			}
		}

		public MainPage()
		{
			InitializeComponent();

			this.LayoutRoot.DataContext = this;

			var client = new Service1Client();
			client.GetScoresCompleted += new EventHandler<GetScoresCompletedEventArgs>(client_GetScoresCompleted);
			client.GetScoresAsync();
		}

		void client_GetScoresCompleted(object sender, GetScoresCompletedEventArgs e)
		{
			this.Score = e.Result[0];
		}

		public event PropertyChangedEventHandler PropertyChanged;

		protected void OnPropertyChanged(string name)
		{
			PropertyChangedEventHandler handler = PropertyChanged;
			if (handler != null)
			{
				handler(this, new PropertyChangedEventArgs(name));
			}
		}
	}
}
